Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6272 - wu-ftpd-2.6.0-redhat.patch sets ftp-exec path wrong
Summary: wu-ftpd-2.6.0-redhat.patch sets ftp-exec path wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 4.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 21:21 UTC by Gilbert E. Detillieux
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-23 22:50:25 UTC


Attachments (Terms of Use)

Description Gilbert E. Detillieux 1999-10-22 21:21:56 UTC
This will only affect sites that use the ftp-exec directory
(for "site exec" commands) with the new wu-ftpd-2.6.0 update
packages, so it's probably a low priority...

wu-ftpd-2.6.0-redhat.patch attempts to change the ftp-exec
path from the default by modifying src/pathnames.h.in, but
that file is only used if the new "configure" script is run.
Since the wu-ftpd.spec file is still using the old "build"
script, the patch has no effect.  The change should be
applied to src/pathnmaes.h.noac instead:

--- wu-ftpd-2.6.0/src/pathnames.h.noac.patch0   Sun Oct  3
09:13:09 1999
+++ wu-ftpd-2.6.0/src/pathnames.h.noac  Thu Oct 21 11:36:20
1999
@@ -34,7 +34,7 @@
 #define LASTLOG_DIR     "/usr/adm"
 #endif

-#define _PATH_EXECPATH  "/bin/ftp-exec"
+#define _PATH_EXECPATH  "/usr/bin/ftp-exec"

 /*
    ** Virtual hosting requires to support many different
types of customer.

Of course, another simple workaround is to just make
/bin/ftp-exec a symlink to /usr/bin/ftp-exec, and things
will continue to work regardless of the which path ftpd
uses.

Comment 1 Stephen John Smoogen 2003-01-23 22:50:25 UTC
Bug 6272 was for a version of Red Hat Linux that is no longer supported. Looking
at the latest 2 releases (7.3/8.0) this problem does not seem to exist anymore.


Note You need to log in before you can comment on or make changes to this bug.